module.exports = {
  oscInFilter:function(data){
      // Filter incomming osc messages
      var {address, args, host, port} = data
      if (address == '/SongPart0Name') {
        send('127.0.0.1', 55559, '/spindex', 0)
      } else if (address == '/SongPart1Name') {
        send('127.0.0.1', 55559, '/spindex', 1)
      } else if (address == '/SongPart2Name') {
        send('127.0.0.1', 55559, '/spindex', 2)
      } else if (address == '/SongPart3Name') {
        send('127.0.0.1', 55559, '/spindex', 3)
      } else if (address == '/SongPart4Name') {
        send('127.0.0.1', 55559, '/spindex', 4)
      } else if (address == '/SongPart5Name') {
        send('127.0.0.1', 55559, '/spindex', 5)
      } else if (address == '/CurrentGlobalTranspose' || address == '/RackspaceName') {
        send('127.0.0.1', 55559, '/drone_1_a_in', 400)
        send('127.0.0.1', 55559, '/drone_1_b_in', 400)
        send('127.0.0.1', 55559, '/drone_2_a_in', 400)
        send('127.0.0.1', 55559, '/drone_2_b_in', 400)
        send('127.0.0.1', 55559, '/drone_1_a_in', 501)
        send('127.0.0.1', 55559, '/drone_1_b_in', 501)
        send('127.0.0.1', 55559, '/drone_2_a_in', 501)
        send('127.0.0.1', 55559, '/drone_2_b_in', 501)
      }
      return {address, args, host, port}
  },
  oscOutFilter:function(data){
    // Filter incomming osc messages
    var {address, args, host, port} = data
    if (address == '/d1_modal_out') {
      send('127.0.0.1', 55559, '/d1_modal', 1)
    } else if (address == '/d2_modal_out') {
      send('127.0.0.1', 55559, '/d2_modal', 1)
    } else if (address == '/amb_piano_modal_out') {
      send('127.0.0.1', 55559, '/amb_piano_modal', 1)
    } else if (address == '/amb_pad_modal_out') {
      send('127.0.0.1', 55559, '/amb_pad_modal', 1)
    } else if (address == '/d1m' && args[0].value == 0) {
      send('127.0.0.1', 55559, '/d1_modal', 0)
    } else if (address == '/d2m' && args[0].value == 0) {
      send('127.0.0.1', 55559, '/d2_modal', 0)
    } else if (address == '/apm' && args[0].value == 0) {
      send('127.0.0.1', 55559, '/amb_piano_modal', 0)
    } else if (address == '/apadm' && args[0].value == 0) {
      send('127.0.0.1', 55559, '/amb_pad_modal', 0)
    }
    return {address, args, host, port}
  }
}